atk.Rectangle
Prev | The atk Class Reference | Next

## atk.Rectangle

atk.Rectangle — an object holding data about a rectangle

## Synopsis

    class atk.Rectangle(gobject.GBoxed):
        atk.Rectangle(x=0, y=0, width=0, height=0)

## Attributes

"x" | Read-Write | The X coordinate of the top left corner of the rectangle.
"y" | Read-Write | The Y coordinate of the top left corner of the rectangle.
"width" | Read-Write | The width of the rectangle.
"height" | Read-Write | The height of the rectangle.

## Description

A `atk.Rectangle` holds the position and size of a rectangle. The position is specified by the "x" and "y" attributes and the size, by the "width" and "height" attributes.

## Constructor

### atk.Rectangle

        atk.Rectangle(x=0, y=0, width=0, height=0)

Returns : | a new `atk.Rectangle`

Creates a new `atk.Rectangle` with the attributes specified by `x`, `y`, `width` and `height`. Any unspecified attributes default to 0.

Prev | Up | Next
atk.ObjectFactory | Home | atk.Registry